<div class="container">
    <div class=" text-center mt-5 ">
        <h1>Creación de paciente</h1>
    </div>
    <div class="row ">
        <div class="col-lg-7 mx-auto">
            <div class="card mt-2 mx-auto p-4 bg-light">
                <div class="card-body bg-light">
                    <div class="container">
                        <form id="contact-form" role="form">
                            <div class="controls">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_nombres">Nombres *</label> <input
                                                id="form_nombres" #nombre type="text" name="nombres" class="form-control"
                                                placeholder="Ingrese sus nombres *" required="required"
                                                data-error="Nombres requeridos."> </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_paterno">Apellido paterno *</label>
                                            <input id="form_paterno" #paterno type="text" name="paterno" class="form-control"
                                                placeholder="Ingrese su apellido paterno *" required="required"
                                                data-error="Apellido requerido."> </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_materno">Apellido paterno *</label>
                                            <input id="form_materno" #materno type="text" name="materno" class="form-control"
                                                placeholder="Ingrese su apellido materno *" required="required"
                                                data-error="Apellido requerido."> </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_email">Email *</label> <input
                                                id="form_email" #email type="email" name="email" class="form-control"
                                                placeholder="Ingrese su correo *" required="required"
                                                data-error="Correo valido requerido."> </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_telefono">Teléfono *</label> <input
                                                id="form_telefono" #telefono type="text" name="telefono" class="form-control"
                                                placeholder="Ingrese su teléfonfo *" required="required"
                                                data-error="Teléfono requerido."> </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_rut">Rut*</label>
                                            <input id="form_rut" #rut type="text" name="surname" class="form-control"
                                                placeholder="Ingrese su rut *" required="required"
                                                data-error="Rut requerido."> </div>
                                    </div>

                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group"> <label for="form_numeroEmergencia">Numero de emergencia </label>
                                            <input id="form_numeroEmergencia"  #numeroEmergencia type="text" name="numeroEmergencia" class="form-control"
                                                placeholder="Ingrese un numero de emergencia " required="required"> </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="Comuna">Comuna * </label> 
                                        <div class="input-group mb-3">
                                            <select class="form-select" id="Comuna" #comuna >
                                              <option *ngFor="let comuna of comunas" value="{{comuna.id}}">{{comuna.nombre}}</option>
                                            </select>
                                          </div>
                                    </div>


                                </div>
                            </div>

                            <br >
                            <br>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="container-fluid margin">
                                        <button type="button" class="btn btn-dark" (click)="guardarPaciente(nombre.value , paterno.value , materno.value, email.value, telefono.value,rut.value, numeroEmergencia.value, comuna.value)">
                                            Guardar</button>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="container-fluid margin">
                                        <button type="button" class="btn btn-danger" (click)="cancelarCreacion()">Cancelar</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div> <!-- /.8 -->
        </div> <!-- /.row-->
    </div>
</div>
